sayren Docs
스토어 설정

앱(OAuth 클라이언트) 목록

현재 스토어에서 DCR(`POST /v1/oauth2/register`)로 등록한 클라이언트 목록. 최신 등록순. 비활성화(`REVOKED`)된 클라이언트도 포함하며 `status`로 거를 수 있다. OWNER/ADMIN 전용.

GET
/v1/store/api-clients

현재 스토어에서 DCR(POST /v1/oauth2/register)로 등록한 클라이언트 목록. 최신 등록순. 비활성화(REVOKED)된 클라이언트도 포함하며 status로 거를 수 있다. OWNER/ADMIN 전용.

AuthorizationBearer <token>

userToken(계정 스코프) 또는 storeToken(스토어 스코프)

In: header

Query Parameters

status?string

상태 필터. 생략하면 전체

Value in

  • "ACTIVE"
  • "REVOKED"

Response Body

application/json

curl -X GET "https://example.com/v1/store/api-clients"
{  "meta": {    "status": 200,    "code": "OK",    "message": "OK",    "isSuccess": true  },  "data": [    {      "clientId": "string",      "name": "string",      "type": "public",      "status": "ACTIVE",      "redirectUris": [        "string"      ],      "scopes": [        "string"      ],      "grantTypes": [        "string"      ],      "secretPrefix": "string",      "createdBy": "string",      "createdByName": "string",      "createdByEmail": "string",      "createdAt": "string",      "revokedAt": "string"    }  ],  "error": null}